Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 517866

Summary: x11-libs/qwt-6.1.0 - add Qt5 support
Product: Gentoo Linux Reporter: anonymous <gentoobugs>
Component: [OLD] LibraryAssignee: Gentoo Science Related Packages <sci>
Status: RESOLVED FIXED    
Severity: normal CC: eugene.shalygin, jlec, orzel
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 454132    
Bug Blocks:    
Attachments: qt5 support

Description anonymous 2014-07-23 10:56:40 UTC
qwt-6.1.0 can build with Qt5. Add Qt5 support, please

Reproducible: Always
Comment 1 Eugene Shalygin 2014-07-23 13:14:30 UTC
Created attachment 381436 [details, diff]
qt5 support

I use these changes to get qt5 variant built
Comment 2 Davide Pesavento gentoo-dev 2014-07-23 14:30:54 UTC
qwt is not maintained by qt@
Comment 3 Thomas Capricelli 2014-12-29 17:02:27 UTC
I'm interested also in qt5 support.
Comment 4 Thomas Capricelli 2014-12-29 17:46:13 UTC
i tried to update the attached patch, but it fails.

* this fails to apply : ${FILESDIR}"/${PN}-6.0.2-invalid-read.patch 
* with USE="-qt4 qt5", compiling ends with :

----------------------------------------------------------------------
rm -f libqwt_designer_plugin.so
g++ -Wl,-O1 -Wl,-rpath,/usr/lib64 -shared -o libqwt_designer_plugin.so qwt_designer_plugin.o qwt_designer_plotdialog.o qrc_qwt_designer_plugin.o moc_qwt_designer_plugin.o moc_qwt_designer_plotdialog.o  -L/var/tmp/portage/x11-libs/qwt-6.1.2-r10/work/qwt-6.1.2-qt5-static/designer/../lib -lqwt -lQt5Designer -lQt5Widgets -lQt5Gui -lQt5Xml -lQt5Core -lGL -lpthread  
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lqwt
collect2: error: ld returned 1 exit status
Makefile:250: recipe for target 'plugins/designer/libqwt_designer_plugin.so' failed
make[1]: *** [plugins/designer/libqwt_designer_plugin.so] Error 1
make[1]: Leaving directory '/var/tmp/portage/x11-libs/qwt-6.1.2-r10/work/qwt-6.1.2-qt5-static/designer'
Makefile:174: recipe for target 'sub-designer-make_first-ordered' failed
make: *** [sub-designer-make_first-ordered] Error 2
 * ERROR: x11-libs/qwt-6.1.2-r10::freehackers failed (compile phase):
----------------------------------------------------------------------
Comment 5 Justin Lecher (RETIRED) gentoo-dev 2014-12-30 18:18:22 UTC
I will look into it next weak.
Comment 6 Justin Lecher (RETIRED) gentoo-dev 2015-01-28 13:33:26 UTC
+*qwt-6.1.2-r1 (28 Jan 2015)
+
+  28 Jan 2015; Justin Lecher <jlec@gentoo.org> +qwt-6.1.2-r1.ebuild:
+  Add qt5 support #517866, thanks Eugene Shalygin for the ebuild
+